[netpbm] Merge Review: rpmlint fixes (#226191)

Petr Hracek phracek at fedoraproject.org
Tue Mar 3 12:22:15 UTC 2015


commit 06b519f1f68118944370367c7033dc2d77f901d9
Author: Petr Hracek <phracek at redhat.com>
Date:   Tue Mar 3 13:18:05 2015 +0100

    Merge Review: rpmlint fixes (#226191)
    
    Signed-off-by: Petr Hracek <phracek at redhat.com>

 netpbm.spec   |  2 +-
 netpbm2tar.sh | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)
---
diff --git a/netpbm.spec b/netpbm.spec
index 0f58853..f72e579 100644
--- a/netpbm.spec
+++ b/netpbm.spec
@@ -849,7 +849,7 @@ rm -rf $RPM_BUILD_ROOT
 - fix segfault in ppmtompeg when encoding jpeg images (#185970)
 
 * Mon Apr  3 2006 Jindrich Novy <jnovy at redhat.com> 10.32-2
-- fix broken symlink in upstream: pnmsdepth -> pamdepth  (#187667)
+- fix broken symlink in upstream: pnmsdepth -> pamdepth (#187667)
 
 * Tue Feb 28 2006 Jindrich Novy <jnovy at redhat.com> 10.32-1
 - update to 10.32
diff --git a/netpbm2tar.sh b/netpbm2tar.sh
new file mode 100755
index 0000000..5fa7fa8
--- /dev/null
+++ b/netpbm2tar.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Source0 is prepared by
+# svn checkout https://netpbm.svn.sourceforge.net/svnroot/netpbm/advanced netpbm-%{version}
+# svn checkout https://netpbm.svn.sourceforge.net/svnroot/netpbm/userguide netpbm-%{version}/userguide
+# svn checkout https://netpbm.svn.sourceforge.net/svnroot/netpbm/trunk/test netpbm-%{version}/test
+# and removing the .svn directories ( find -name "\.svn" -type d -print0 | xargs -0 rm -rf )
+# and removing the ppmtompeg code, due to patents ( rm -rf netpbm-%{version}/converter/ppm/ppmtompeg/ )
+
+VERSION=$1
+if [[ -z $VERSION ]]; then
+    echo "Version is missing as argument"
+    exit 1
+fi
+NETPBM_NAME="netpbm-$VERSION"
+TEMP_DIR="/var/tmp/netpbm"
+TARBALL="$TEMP_DIR/$NETPBM_NAME.tar.gz"
+mkdir -p $TEMP_DIR
+pushd $TEMP_DIR
+svn checkout https://netpbm.svn.sourceforge.net/svnroot/netpbm/advanced $NETPBM_NAME
+svn checkout https://netpbm.svn.sourceforge.net/svnroot/netpbm/userguide $NETPBM_NAME/userguide
+svn checkout https://netpbm.svn.sourceforge.net/svnroot/netpbm/trunk/test $NETPBM_NAME/test
+find -name '\.svn' -type d -print0 | xargs -0 rm -rf
+rm -rf $NETPBM_NAME/converter/ppm/ppmtompeg/
+tar -czvf $NETPBM_NAME.tar.gz $NETPBM_NAME
+rm -rf $NETPBM_NAME/
+popd
+if [[ -f "$TARBALL" ]]; then
+    cp $TARBALL .
+    rm $TARBALL
+fi
+exit 0


More information about the scm-commits mailing list